import mock

from tornado.concurrent import Future


# Mocked out Context
class MockContext(object):
    def __init__(self):
        self.profile = mock.MagicMock()
        self.profile.kind = 'serial'
        self.data = None
        self.timeout = 30
        self.target_address = '012345'
        self.mock_gus_mgr = mock.MagicMock()
        self.mock_gus = self.mock_gus_mgr().__enter__()

        def mk_gus():
            return self.mock_gus_mgr()

        self.gus = mk_gus

        self.output = mock.MagicMock()


def make_resolved_future(value):
    """
    Return a future that has already been resolved to the provided value.
    """
    future = Future()
    future.set_result(value)
    return future
